All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Class OMRMultiHostDeployedObject

    com.sas.services.information.metadata.OMRMultiHostDeployedObject

All Implemented Interfaces:
  MultiHostDeployment, java.rmi.Remote

    public class OMRMultiHostDeployedObject

implements MultiHostDeployment

Method Summary
`void` | `addAll(java.util.List<HostInterface> host)`
`void` | `addHost(HostInterface host)` Add a new host to the deployment list
`java.util.List<java.lang.String>` | `getAllHostsNames()` Get the set of all the hosts.
`HostInterface` | `getAssociatedHost()` Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to get the single associated host
`java.util.List<HostInterface>` | `getHosts()` Get the host deployment list
`static MultiHostDeployment` | `getInstance(SoftwareComponentInterface metadataObject)`
`PublicObjectInterface` | `getPublicObject()` Returns the underneath public object
`boolean` | `isDeployedOnHost(HostInterface host)` Checks if the host is on the deployment list
`void` | `removeAll()`
`void` | `removeHost(HostInterface host)` Remove host from the deployment list
`void` | `setAssociatedMachine(HostInterface host)` Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to add the single associated host

Method Detail

### getInstance

    public static MultiHostDeployment getInstance(SoftwareComponentInterface metadataObject)
                                           throws java.rmi.RemoteException,
                                                  ServiceException

  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### addHost

    public void addHost(HostInterface host)
                 throws ServiceException,
                        java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Add a new host to the deployment list

  Specified by:
    `addHost` in interface `MultiHostDeployment`
  Parameters:
    `host` - `com.sas.services.information.metadata.Host` host to be added
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getAssociatedHost

    public HostInterface getAssociatedHost()
                                    throws ServiceException,
                                           java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to get the single associated host

  Specified by:
    `getAssociatedHost` in interface `MultiHostDeployment`
  Returns:
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getHosts

    public java.util.List<HostInterface> getHosts()
                                           throws ServiceException,
                                                  java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Get the host deployment list

  Specified by:
    `getHosts` in interface `MultiHostDeployment`
  Returns:
    `java.util.List` List of deployment hosts
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getPublicObject

    public PublicObjectInterface getPublicObject()
                                          throws ServiceException,
                                                 java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Returns the underneath public object

  Specified by:
    `getPublicObject` in interface `MultiHostDeployment`
  Returns:
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### isDeployedOnHost

    public boolean isDeployedOnHost(HostInterface host)
                             throws ServiceException,
                                    java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Checks if the host is on the deployment list

  Specified by:
    `isDeployedOnHost` in interface `MultiHostDeployment`
  Parameters:
    `host` - `com.sas.services.information.metadata.Host` host to check
  Returns:
    `true` if on the list `false` otherwise
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### removeHost

    public void removeHost(HostInterface host)
                    throws ServiceException,
                           java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Remove host from the deployment list

  Specified by:
    `removeHost` in interface `MultiHostDeployment`
  Parameters:
    `host` - `com.sas.services.information.metadata.Host` host to be removed
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setAssociatedMachine

    public void setAssociatedMachine(HostInterface host)
                              throws ServiceException,
                                     java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Few clients still use associated machine association to check the public object deployment host This method is used for those clients which are using this association to add the single associated host

  Specified by:
    `setAssociatedMachine` in interface `MultiHostDeployment`
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getAllHostsNames

    public java.util.List<java.lang.String> getAllHostsNames()
                                                      throws ServiceException,
                                                             java.rmi.RemoteException

  Description copied from interface: `MultiHostDeployment`
  Get the set of all the hosts. There are places where the host information is found for a server 1. Associated machine 2. Connection host name 3. Machine group software tree

  Specified by:
    `getAllHostsNames` in interface `MultiHostDeployment`
  Returns:
    `List` of unique host names
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### addAll

    public void addAll(java.util.List<HostInterface> host)
                throws ServiceException,
                       java.rmi.RemoteException

  Specified by:
    `addAll` in interface `MultiHostDeployment`
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### removeAll

    public void removeAll()
                   throws ServiceException,
                          java.rmi.RemoteException

  Specified by:
    `removeAll` in interface `MultiHostDeployment`
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.